Package com.independentsoft.office.spreadsheet.revisions

# Enum Class FormulaExpressionType

java.lang.Object
java.lang.Enum<FormulaExpressionType>
com.independentsoft.office.spreadsheet.revisions.FormulaExpressionType

All Implemented Interfaces:
  `Serializable`, `Comparable<FormulaExpressionType>`, `Constable`

public enum FormulaExpressionType extends Enum<FormulaExpressionType>
The Enum FormulaExpressionType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AREA`
  `AREA_ERROR`
  `COMPUTED_AREA`
  `NONE`
  `REFERENCE`
  `REFERENCE_IS_ERROR`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FormulaExpressionType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static FormulaExpressionType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AREA

    public static final FormulaExpressionType AREA

  - ### AREA_ERROR

    public static final FormulaExpressionType AREA_ERROR

  - ### COMPUTED_AREA

    public static final FormulaExpressionType COMPUTED_AREA

  - ### REFERENCE

    public static final FormulaExpressionType REFERENCE

  - ### REFERENCE_IS_ERROR

    public static final FormulaExpressionType REFERENCE_IS_ERROR

  - ### NONE

    public static final FormulaExpressionType NONE

- ## Method Details

  - ### values

    public static FormulaExpressionType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FormulaExpressionType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null